package seal

//新增用印请求
type AddReq struct {
	ContractId     int    `description:"系统合同id"`
	Use            string `description:"用印用途，枚举值：'销售合同', '渠道合同', '付款通知函', '招投标', '战略合作协议'；默认：销售合同"`
	CompanyName    string `description:"客户名称，甲方名称,长度32位"`
	UseCompanyName string `description:"实际适用方客户名称，长度32位"`
	CreditCode     string `description:"社会统一信用代码,长度64位"`
	ServiceType    string `description:"业务类型，枚举值：'新签合同','续约合同','补充协议'；默认：新签合同"`
	SealType       string `description:"加盖印章类型，枚举值：'合同章', '公章', '法人章';默认：合同章"`
	Remark         string `description:"备注,长度255位"`
	FileUrl        string `description:"文件附件地址"`
	FileNum        int    `description:"文件份数"`
}

//编辑用印请求
type EditReq struct {
	SealId         int    `description:"用印id"`
	ContractId     int    `description:"系统合同id"`
	Use            string `description:"用印用途，枚举值：'销售合同', '渠道合同', '付款通知函', '招投标', '战略合作协议'；默认：销售合同"`
	CompanyName    string `description:"客户名称，甲方名称,长度32位"`
	UseCompanyName string `description:"实际适用方客户名称，长度32位"`
	CreditCode     string `description:"社会统一信用代码,长度64位"`
	ServiceType    string `description:"业务类型，枚举值：'新签合同','续约合同','补充协议'；默认：新签合同"`
	SealType       string `description:"加盖印章类型，枚举值：'合同章', '公章', '法人章';默认：合同章"`
	Remark         string `description:"备注,长度255位"`
	FileUrl        string `description:"文件附件地址"`
	FileNum        int    `description:"文件份数"`
}

//审批者编辑用印请求
type CheckEditReq struct {
	SealId   int    `description:"用印单id"`
	Use      string `description:"用印用途，枚举值：'销售合同', '渠道合同', '付款通知函', '招投标', '战略合作协议'；默认：销售合同"`
	SealType string `description:"加盖印章类型，枚举值：'合同章', '公章', '法人章';默认：合同章"`
	Remark   string `description:"备注,长度255位"`
	FileUrl  string `description:"文件附件地址"`
	FileNum  int    `description:"文件份数"`
}

// InvalidReq 作废用印请求
type InvalidReq struct {
	SealId            int  `description:"用印id"`
	IsInvalidContract bool `description:"是否同步作废合同，默认:false"`
}

// UploadCheckBackFileReq 上传签回用印请求
type UploadCheckBackFileReq struct {
	FileUrl string `description:"签回用印url"`
	SealId  int    `description:"用印id"`
}
