package approval

import (
	"github.com/rdlucklib/rdluck_tools/paging"
	"hongze/hongze_mobile_admin/models/tables/company_approval"
	"hongze/hongze_mobile_admin/models/tables/company_report_permission"
	"hongze/hongze_mobile_admin/models/tables/contract_approval_record"
)

// CompanyApprovalListResp 客户审批列表
type CompanyApprovalListResp struct {
	Paging *paging.PagingItem
	List   []*company_approval.CompanyApprovalList
}

//审批单详情
type CompanyApprovalDetailResp struct {
	CompanyApprovalDetail *company_approval.CompanyApprovalList               `description:"审批单详情"`
	FlowNodeList          [][]contract_approval_record.ContractApprovalRecord `description:"审批流"`
	CompanyPermissionResp
}

//客户权限列表
type CompanyPermissionResp struct {
	FiccPermissionList []*company_report_permission.PermissionLookList `description:"Ficc权限列表"`
	PermissionList     []*company_report_permission.PermissionLookList `description:"权益权限列表"`
}
