package approval_flow

import (
	"github.com/rdlucklib/rdluck_tools/orm"
	"hongze/hongze_mobile_admin/models/tables/approval_flow_node"
	"time"
)

//审批流程主体信息表
type ApprovalFlow struct {
	FlowId      int       `orm:"column(flow_id);pk" json:"flow_id"`         // 流程id
	FlowName    string    `orm:"column(flow_name);" json:"flow_name"`       // 流程名称
	ProductId   int       `orm:"column(product_id);" json:"product_id"`     //所属类型，0代表通用，1：ficc部门，2：权益部门
	CurrVersion int       `orm:"column(curr_version);" json:"curr_version"` // 当前流程版本
	ModifyTime  time.Time `orm:"column(modify_time);" json:"modify_time"`   // 最近一次修改时间
	CreateTime  time.Time `orm:"column(create_time);" json:"create_time"`   // 创建时间
}

type ApprovalFlowItem struct {
	FlowId      int                                        `description:"流程id"`                       // 流程id
	FlowName    string                                     `description:"流程名称"`                       // 流程名称
	ProductId   int                                        `description:"所属类型，0代表通用，1：ficc部门，2：权益部门"` //所属类型，0代表通用，1：ficc部门，2：权益部门
	CurrVersion int                                        `description:"当前流程版本"`                     // 当前流程版本
	ModifyTime  time.Time                                  `description:"最近一次修改时间"`                   // 最近一次修改时间
	CreateTime  time.Time                                  `description:"创建时间"`                       // 创建时间
	NodeList    []*approval_flow_node.ApprovalFlowNodeList `description:"节点流程列表"`                     //节点流程列表
}

//根据流程id获取审批流程主体信息
func GetByFlowItemId(flowId int) (item *ApprovalFlowItem, err error) {
	sql := `SELECT * FROM approval_flow WHERE flow_id=? LIMIT 1 `
	o := orm.NewOrm()
	err = o.Raw(sql, flowId).QueryRow(&item)
	return
}
