package company_operation_record

import (
	"github.com/rdlucklib/rdluck_tools/orm"
	"time"
)

type CompanyOperationRecord struct {
	Id              int       `orm:"column(id);pk"`
	CompanyId       int       `description:"客户id"`
	CompanyName     string    `description:"客户名称"`
	SellerId        int       `description:"销售员id"`
	SysUserId       int       `description:"操作者id"`
	SysRealName     string    `description:"操作者名称"`
	Remark          string    `description:"备注"`
	Operation       string    `description:"操作"`
	CreateTime      time.Time `description:"操作时间"`
	ProductId       int       `description:"产品id"`
	ProductName     string    `description:"产品名称"`
	ApproveUserId   int       `description:"审批人id"`
	ApproveRealName string    `description:"审批人姓名"`
	ApproveContent  string    `description:"审批人内容"`
	ApproveRemark   string    `description:"审批人内容"`
	Status          string    `description:"状态"`
}

type CompanyOperationRecordList struct {
	Id             int    `orm:"column(id);pk"`
	CompanyId      int64  `description:"客户id"`
	CompanyName    string `description:"客户名称"`
	SysUserId      int    `description:"操作者id"`
	SysRealName    string `description:"操作者名称"`
	Remark         string `description:"备注"`
	Operation      string `description:"操作"`
	ApproveContent string `json:"-",description:"详情"`
	CreateTime     string `description:"操作时间"`
	ProductId      int
	ProductName    string
}

//新增客户操作记录
func AddCompanyOperationRecord(item *CompanyOperationRecord) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}
